<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html><head><meta http-equiv="Content-Type" content="text/html;charset=iso-8859-1">
<title>mmWave Error Codes</title>
<link href="doxygen.css" rel="stylesheet" type="text/css">
<link href="tabs.css" rel="stylesheet" type="text/css">
</head><body>
<table width=100%>
<tr>
  <td bgcolor="black" width="1"><a href="http://www.ti.com"><img border=0 src="../../tilogo.gif"></a></td>
  <td bgcolor="red"><img src="../../titagline.gif"></td>
</tr>
</table>
<!-- Generated by Doxygen 1.8.11 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#define-members">Macros</a>  </div>
  <div class="headertitle">
<div class="title">mmWave Error Codes<div class="ingroups"><a class="el" href="group___m_m_w_a_v_e.html">mmWave API</a></div></div>  </div>
</div><!--header-->
<div class="contents">

<p>The section has a list of all the error codes which are generated by the module.  
<a href="#details">More...</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="define-members"></a>
Macros</h2></td></tr>
<tr class="memitem:ga2459b0b77a8f665424e9d5280984b658"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga2459b0b77a8f665424e9d5280984b658"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga2459b0b77a8f665424e9d5280984b658">MMWAVE_EINVAL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-1)</td></tr>
<tr class="memdesc:ga2459b0b77a8f665424e9d5280984b658"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Invalid argument. <br /></td></tr>
<tr class="separator:ga2459b0b77a8f665424e9d5280984b658"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0cbb0bdc7af88b640c645a5518b069b7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga0cbb0bdc7af88b640c645a5518b069b7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga0cbb0bdc7af88b640c645a5518b069b7">MMWAVE_EINIT</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-2)</td></tr>
<tr class="memdesc:ga0cbb0bdc7af88b640c645a5518b069b7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link initialization failed. <br /></td></tr>
<tr class="separator:ga0cbb0bdc7af88b640c645a5518b069b7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4eb33af2161460ab8d38a9d15903a76c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga4eb33af2161460ab8d38a9d15903a76c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga4eb33af2161460ab8d38a9d15903a76c">MMWAVE_ENOTSUP</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-3)</td></tr>
<tr class="memdesc:ga4eb33af2161460ab8d38a9d15903a76c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link not supported. <br /></td></tr>
<tr class="separator:ga4eb33af2161460ab8d38a9d15903a76c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf3e00954cad93dc78c46212c87d66a33"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaf3e00954cad93dc78c46212c87d66a33"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gaf3e00954cad93dc78c46212c87d66a33">MMWAVE_ECHCFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-4)</td></tr>
<tr class="memdesc:gaf3e00954cad93dc78c46212c87d66a33"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link channel configuration failed. <br /></td></tr>
<tr class="separator:gaf3e00954cad93dc78c46212c87d66a33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafc13371195aed345654c15d861620c04"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gafc13371195aed345654c15d861620c04"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gafc13371195aed345654c15d861620c04">MMWAVE_EADCCFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-5)</td></tr>
<tr class="memdesc:gafc13371195aed345654c15d861620c04"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link ADC configuration failed. <br /></td></tr>
<tr class="separator:gafc13371195aed345654c15d861620c04"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8ddc49839e51e5fa97b1a280be84cb62"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga8ddc49839e51e5fa97b1a280be84cb62"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga8ddc49839e51e5fa97b1a280be84cb62">MMWAVE_EPOWERCFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-6)</td></tr>
<tr class="memdesc:ga8ddc49839e51e5fa97b1a280be84cb62"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link Power configuration failed. <br /></td></tr>
<tr class="separator:ga8ddc49839e51e5fa97b1a280be84cb62"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaea213bcd341da8c11e558e3d434a756a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaea213bcd341da8c11e558e3d434a756a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gaea213bcd341da8c11e558e3d434a756a">MMWAVE_ERFINIT</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-7)</td></tr>
<tr class="memdesc:gaea213bcd341da8c11e558e3d434a756a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link RF initialization failed. <br /></td></tr>
<tr class="separator:gaea213bcd341da8c11e558e3d434a756a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga893a320cf1f7de2ec6a34b45ce0840b6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga893a320cf1f7de2ec6a34b45ce0840b6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga893a320cf1f7de2ec6a34b45ce0840b6">MMWAVE_EPROFILECFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-8)</td></tr>
<tr class="memdesc:ga893a320cf1f7de2ec6a34b45ce0840b6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link profile configuration failed. <br /></td></tr>
<tr class="separator:ga893a320cf1f7de2ec6a34b45ce0840b6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8bf8e084c15e9107220c3b7e3e9c237a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga8bf8e084c15e9107220c3b7e3e9c237a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga8bf8e084c15e9107220c3b7e3e9c237a">MMWAVE_ECHIRPCFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-9)</td></tr>
<tr class="memdesc:ga8bf8e084c15e9107220c3b7e3e9c237a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link chirp configuration failed. <br /></td></tr>
<tr class="separator:ga8bf8e084c15e9107220c3b7e3e9c237a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3b3524635cdfcc8970b08246d4536b7f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga3b3524635cdfcc8970b08246d4536b7f"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga3b3524635cdfcc8970b08246d4536b7f">MMWAVE_EFRAMECFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-10)</td></tr>
<tr class="memdesc:ga3b3524635cdfcc8970b08246d4536b7f"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link frame configuration failed. <br /></td></tr>
<tr class="separator:ga3b3524635cdfcc8970b08246d4536b7f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae8cdb42b6818191f470135e64fdb3c84"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gae8cdb42b6818191f470135e64fdb3c84"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gae8cdb42b6818191f470135e64fdb3c84">MMWAVE_EPLLCFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-11)</td></tr>
<tr class="memdesc:gae8cdb42b6818191f470135e64fdb3c84"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link PLL caliberation failed. <br /></td></tr>
<tr class="separator:gae8cdb42b6818191f470135e64fdb3c84"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga8954977c237b02b77900c3faa9c42c3c"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga8954977c237b02b77900c3faa9c42c3c"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga8954977c237b02b77900c3faa9c42c3c">MMWAVE_ESENSOR</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-12)</td></tr>
<tr class="memdesc:ga8954977c237b02b77900c3faa9c42c3c"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link sensor failed. <br /></td></tr>
<tr class="separator:ga8954977c237b02b77900c3faa9c42c3c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacdea076aec92710d154f046db8ca2831"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gacdea076aec92710d154f046db8ca2831"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gacdea076aec92710d154f046db8ca2831">MMWAVE_EOS</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-13)</td></tr>
<tr class="memdesc:gacdea076aec92710d154f046db8ca2831"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: OS Porting layer services failed. <br /></td></tr>
<tr class="separator:gacdea076aec92710d154f046db8ca2831"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gafa9112732f6d53cac483f27208bfbf42"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gafa9112732f6d53cac483f27208bfbf42"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gafa9112732f6d53cac483f27208bfbf42">MMWAVE_EVERSION</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-14)</td></tr>
<tr class="memdesc:gafa9112732f6d53cac483f27208bfbf42"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave Link version error. <br /></td></tr>
<tr class="separator:gafa9112732f6d53cac483f27208bfbf42"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga4e704cd76660a6846daa5225037ae605"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga4e704cd76660a6846daa5225037ae605"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga4e704cd76660a6846daa5225037ae605">MMWAVE_EMSG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-15)</td></tr>
<tr class="memdesc:ga4e704cd76660a6846daa5225037ae605"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave message processing error. <br /></td></tr>
<tr class="separator:ga4e704cd76660a6846daa5225037ae605"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga0b62870ce55b380a2c1e3661302ad2c3"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga0b62870ce55b380a2c1e3661302ad2c3"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga0b62870ce55b380a2c1e3661302ad2c3">MMWAVE_EDEINIT</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-16)</td></tr>
<tr class="memdesc:ga0b62870ce55b380a2c1e3661302ad2c3"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave deinitialization error. <br /></td></tr>
<tr class="separator:ga0b62870ce55b380a2c1e3661302ad2c3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab91c078c9d05d0c77454f71ff50c9a10"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gab91c078c9d05d0c77454f71ff50c9a10"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gab91c078c9d05d0c77454f71ff50c9a10">MMWAVE_ECONTMODECFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-17)</td></tr>
<tr class="memdesc:gab91c078c9d05d0c77454f71ff50c9a10"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave continuous mode configuration failed. <br /></td></tr>
<tr class="separator:gab91c078c9d05d0c77454f71ff50c9a10"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga318dca8803f514cbbb1fd299fff128be"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga318dca8803f514cbbb1fd299fff128be"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga318dca8803f514cbbb1fd299fff128be">MMWAVE_ECONTMODE</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-18)</td></tr>
<tr class="memdesc:ga318dca8803f514cbbb1fd299fff128be"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave continuous mode enabling failed. <br /></td></tr>
<tr class="separator:ga318dca8803f514cbbb1fd299fff128be"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gad97c7d81a1138272a2c9c2c6e68ce304"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gad97c7d81a1138272a2c9c2c6e68ce304"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gad97c7d81a1138272a2c9c2c6e68ce304">MMWAVE_ECALCFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-19)</td></tr>
<tr class="memdesc:gad97c7d81a1138272a2c9c2c6e68ce304"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link BSS calibration configuration failed. <br /></td></tr>
<tr class="separator:gad97c7d81a1138272a2c9c2c6e68ce304"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga433e01bd5f2253466b104ef2e59328a2"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga433e01bd5f2253466b104ef2e59328a2"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga433e01bd5f2253466b104ef2e59328a2">MMWAVE_ECALINIT</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-20)</td></tr>
<tr class="memdesc:ga433e01bd5f2253466b104ef2e59328a2"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link BSS calibration init. <br /></td></tr>
<tr class="separator:ga433e01bd5f2253466b104ef2e59328a2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gacb835eb6a639ddf6a7f0d1a78393d529"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gacb835eb6a639ddf6a7f0d1a78393d529"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gacb835eb6a639ddf6a7f0d1a78393d529">MMWAVE_ECALPERIOD</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-21)</td></tr>
<tr class="memdesc:gacb835eb6a639ddf6a7f0d1a78393d529"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link BSS calibration periodicity failed. <br /></td></tr>
<tr class="separator:gacb835eb6a639ddf6a7f0d1a78393d529"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga5d930ce7d91e2482691fe9cdd7b3b666"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga5d930ce7d91e2482691fe9cdd7b3b666"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga5d930ce7d91e2482691fe9cdd7b3b666">MMWAVE_ECALTRIG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-22)</td></tr>
<tr class="memdesc:ga5d930ce7d91e2482691fe9cdd7b3b666"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link BSS calibration trigger failed. <br /></td></tr>
<tr class="separator:ga5d930ce7d91e2482691fe9cdd7b3b666"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gab86f69c8e7032e49129189e3ae4ad7b9"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gab86f69c8e7032e49129189e3ae4ad7b9"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gab86f69c8e7032e49129189e3ae4ad7b9">MMWAVE_ENOMEM</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-23)</td></tr>
<tr class="memdesc:gab86f69c8e7032e49129189e3ae4ad7b9"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Out of memory error. <br /></td></tr>
<tr class="separator:gab86f69c8e7032e49129189e3ae4ad7b9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae44ca7dd5558bdf86378e1ac094e773e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gae44ca7dd5558bdf86378e1ac094e773e"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gae44ca7dd5558bdf86378e1ac094e773e">MMWAVE_ENOTFOUND</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-24)</td></tr>
<tr class="memdesc:gae44ca7dd5558bdf86378e1ac094e773e"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Not found. <br /></td></tr>
<tr class="separator:gae44ca7dd5558bdf86378e1ac094e773e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga58543ea4966b1c623136014dbbedacf7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga58543ea4966b1c623136014dbbedacf7"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga58543ea4966b1c623136014dbbedacf7">MMWAVE_EASYNCEVENT</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-25)</td></tr>
<tr class="memdesc:ga58543ea4966b1c623136014dbbedacf7"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Asynchronous event configuration failed. <br /></td></tr>
<tr class="separator:ga58543ea4966b1c623136014dbbedacf7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaea77d249c9553d5f550297a7aa61a23a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gaea77d249c9553d5f550297a7aa61a23a"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gaea77d249c9553d5f550297a7aa61a23a">MMWAVE_ECALFAIL</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-26)</td></tr>
<tr class="memdesc:gaea77d249c9553d5f550297a7aa61a23a"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: Calibration failed. <br /></td></tr>
<tr class="separator:gaea77d249c9553d5f550297a7aa61a23a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gae914fc868b0f87e8c2365cf7c4aa9131"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="gae914fc868b0f87e8c2365cf7c4aa9131"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#gae914fc868b0f87e8c2365cf7c4aa9131">MMWAVE_ECOMMONBPMCFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-27)</td></tr>
<tr class="memdesc:gae914fc868b0f87e8c2365cf7c4aa9131"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link BPM common configuration failed. <br /></td></tr>
<tr class="separator:gae914fc868b0f87e8c2365cf7c4aa9131"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga3ab64c7669eb8b3802e844c7e732fdd6"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ga3ab64c7669eb8b3802e844c7e732fdd6"></a>
#define&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group___m_m_w_a_v_e___e_r_r_o_r___c_o_d_e.html#ga3ab64c7669eb8b3802e844c7e732fdd6">MMWAVE_EBPMCFG</a>&#160;&#160;&#160;(MMWAVE_ERRNO_BASE-28)</td></tr>
<tr class="memdesc:ga3ab64c7669eb8b3802e844c7e732fdd6"><td class="mdescLeft">&#160;</td><td class="mdescRight">Error Code: mmWave link BPM configuration failed. <br /></td></tr>
<tr class="separator:ga3ab64c7669eb8b3802e844c7e732fdd6"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<p>The section has a list of all the error codes which are generated by the module. </p>
<p>Base error code for the mmWave module is defined in the </p><div class="fragment"><div class="line"></div><div class="line"><span class="preprocessor">#ifndef MMWAVE_ERROR_H</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERROR_H</span></div><div class="line"></div><div class="line"><span class="comment">/**************************************************************************</span></div><div class="line"><span class="comment"> * Base Error Code for the mmWave modules</span></div><div class="line"><span class="comment"> **************************************************************************/</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_UART_BASE               (-2000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRC_BASE                (-2100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_MAILBOX_BASE            (-2200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_PINMUX_BASE             (-2300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ADCBUF_BASE             (-2400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_ESM_BASE                (-2500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SPI_BASE                (-2600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_DMA_BASE                (-2700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HWA_BASE                (-2800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_SOC_BASE                (-2900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_EDMA_BASE               (-3000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_BASE                    (-3100)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CSI_BASE                (-3200)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CBUFF_BASE              (-3300)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CAN_BASE                (-3400)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CANFD_BASE              (-3500)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPI_BASE               (-3600)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_QSPIFLASH_BASE          (-3700)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_I2C_BASE                (-3800)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_WATCHDOG_BASE           (-3900)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_HSI_HDR_BASE            (-4000)</span></div><div class="line"><span class="preprocessor">#define MMWAVE_ERRNO_CRYPTO_BASE             (-4100)</span></div><div class="line"></div><div class="line"><span class="preprocessor">#endif  </span><span class="comment">/* MMWAVE_ERROR_H */</span><span class="preprocessor"></span></div><div class="line"></div></div><!-- fragment --> </div><!-- contents -->
<hr size="1"><small>
Copyright  2018, Texas Instruments Incorporated</small>
</body>
</html>
